#extension GL_OES_EGL_image_external : require
precision mediump float;
varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;



vec4 blend(vec4 base, vec4 overlay) {
    return base*(1.-overlay.a) + overlay;

}

void main() {
    vec4 base =texture2D(inputImageTexture2, textureCoordinate);
    vec4 overlay =texture2D(inputImageTexture, textureCoordinate);
    gl_FragColor =blend(base,overlay);
}